﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace Models.Table
{

    [SugarTable("base_log_summary")]
    public class LogSummary : BaseTable
    {
        [SugarColumn(IsIdentity = true, IsPrimaryKey = true)]
        public int id { get; set; }

        [SugarColumn(ColumnName = "cabinet_id")]
        public String cabinetId { get; set; }
    
        public int type { get; set; }

        [SugarColumn(ColumnName = "user_name")]
        public String? userName { get; set; }

        public String? equipments { get; set; }

        [SugarColumn(ColumnName = "use_time")]
        public DateTime? useTime { get; set; }

        [SugarColumn(ColumnName = "order_id")]
        public String? orderId { get; set; }

        [SugarColumn(ColumnName = "order_code")]
        public String? orderCode { get; set; }

        [SugarColumn(ColumnName = "bussiness_type")]
        public String? bussinessType { get; set; }

        [SugarColumn(ColumnName = "device")]
        public String? device { get; set; }

        [SugarColumn(ColumnName = "device_type")]
        public int? deviceType { get; set; }

        [SugarColumn(ColumnName = "location_id")]
        public String? locationId { get; set; }

        [SugarColumn(ColumnName = "location_name")]
        public String? locationName { get; set; }

        [SugarColumn(ColumnName = "out_in_state")]
        public String? outInState { get; set; }

        public String? picture { get; set; }

        public int? number { get; set; }

        public int? isUpload { get; set; }

        public decimal? price { get; set; }


        [Navigate(NavigateType.OneToMany, nameof(LogDetail.summaryId))]
        public List<LogDetail> DetailList { get; set; } = new List<LogDetail>();

    }
}
